/////////////////////////////////////////////// Plot - Graphic.h (mwx,07.09.06)
#import <Cocoa/Cocoa.h>
@class Manager;
@class PlotDocument;

@interface Graphic : NSObject {
	@public
	int tag;
	int type;
	double x1,y1,x2,y2;
	double linewidth;
	int arrowtype,arrowsize,dashp,display,posmode;
	BOOL arrow1,arrow2,fill,aspect;
	NSColorWell *color,*fillcolor;
	NSImage *image;

	NSBezierPath *p,*q;
	NSAffineTransform *t;
	float dash[16][16],dashcount[16];

	Manager *M;
	PlotDocument *PD;
}

////////////////////////////////////////////////////////////////// INIT / SETUP
- (void)setup:(Manager *)m:(PlotDocument *)pd;
- (id)init;
- (void)setDefaults;
- (void)getPoints:(double *)ax1:(double *)ay1:(double *)ax2:(double *)ay2;
- (void)setPoints:(double)ax1:(double)ay1:(double)ax2:(double)ay2;
- (void)drawGraphic;
- (void)setupFromInspector:(Manager *)m;
- (void)dealloc;
- (id)retain;
- (void)encodeWithCoder:(NSCoder *)coder;
- (id)initWithCoder:(NSCoder *)coder;
- (void)setDashPattern:(int)size;
@end ////////////////////////////////////////////////////////////////////// END
